Subject: [Sip] Securing messages with TEL URI over SIP

From: Avshalom Houri <[email-masked]>
Date: Thu, 15 Oct 2009 17:54:11 +0200

I have found discussion thread on how to secure e.g. TEL URI over SIP from 
2007.
transport=tls is deprecated and it does not mean end to end anyway.
We still do not have "tels" URI.

Was this discussion concluded and if how it was concluded?

--Avshalom

---

From: aayush bhatnagar <[email-masked]>
Date: Thu, 15 Oct 2009 22:12:02 +0530

why not use a sips uri that contains a telephone number instead (in the
sense of section 19.1.6, RFC 3261) ? Eg: sips:+355-554-1234567;postd=
[email-masked];user=phone

On Thu, Oct 15, 2009 at 21:24, Avshalom Houri <[email-masked]> wrote:

> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
>

-- 
aayush
======
http://www.linkedin.com/in/abhatnagar19

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 15 Oct 2009 12:44:15 -0400

Avshalom Houri wrote:
> I have found discussion thread on how to secure e.g. TEL URI over SIP 
> from 2007.

AFAIK there was never any resolution of this - nobody knows how to do it.

I think the most fundamental problem is that there is no good answer to 
who is permitted and able to authenticate the use of a particular TEL URI.

	Thanks,
	Paul

---

From: "Olle E. Johansson" <[email-masked]>
Date: Wed, 21 Oct 2009 15:25:22 +0200

15 okt 2009 kl. 18.44 skrev Paul Kyzivat:

>
>
> Avshalom Houri wrote:
>> I have found discussion thread on how to secure e.g. TEL URI over  
>> SIP from 2007.
> I think the most fundamental problem is that there is no good answer  
> to who is permitted and able to authenticate the use of a particular  
> TEL URI.

That's a very interesting issue. The Tel: uri gets routed somehow, by  
default route in a proxy or outbound proxy setting in a UA.
This really applies to all NON-sip/sips uri's in SIP.

Food for thought. And something that causes damage for the use of Tel:  
URI's.

/O